﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
End Sub

Public Sub Aanvulling(OpdrachtID As Int) As Boolean
	Dim AanLst, DumpLst As List
	
	Opdrachten.PlaatsingZichtbaar=False
	Opdrachten.RetourZichtbaar=False
	Opdrachten.LedigZichtbaar=False
	Opdrachten.VrachtwagenZichtbaar=False
	Opdrachten.WisselZichtbaar=False
	Opdrachten.AfvoerenZichtbaar=False
	Opdrachten.LeverenZichtbaar=False
	
	AanLst.Initialize
	DumpLst.Initialize
	AanLst=DBUtils.ExecuteListOfMaps(Main.SQL1,"SELECT Soortrit, Typeomschrijving, Aantal, Huidige ,Huidigetype, Omschrijvinglevering, Hoeveelheid FROM "&Main.DBAanvulling&" WHERE OpdrachtID="&OpdrachtID&" ORDER BY Volgnummer",Null,0)
	
	For i=0 To AanLst.Size-1
		Dim m, dump As Map
		m.Initialize
		dump.Initialize
		m = AanLst.Get(i)
		dump.Put("OpdrachtID",OpdrachtID)
		dump.Put("Actie", m.GetValueAt(0))
		'Log("Actie: "&m.GetValueAt(0))
		Select m.GetValueAt(0)
			Case "PLAATSEN"
				Opdrachten.PlaatsingZichtbaar=True
				dump.Put("Omschrijving", m.GetValueAt(1))
				dump.Put("Aantal", m.GetValueAt(2))
			Case "LEDIGEN"
				Opdrachten.PlaatsingZichtbaar=True
				Opdrachten.RetourZichtbaar=True
				Opdrachten.LedigZichtbaar=True
				dump.Put("Omschrijving", m.GetValueAt(3)&" ("&m.GetValueAt(4)&")")
				dump.Put("Aantal", m.GetValueAt(2))
			Case "WISSELEN"
				Opdrachten.PlaatsingZichtbaar=True
				Opdrachten.RetourZichtbaar=True
				Opdrachten.WisselZichtbaar=True
				dump.Put("Omschrijving", m.GetValueAt(3)&" ("&m.GetValueAt(4)&")")
				dump.Put("Aantal", m.GetValueAt(2))
			Case "AFVOEREN"
				Opdrachten.RetourZichtbaar=True
				Opdrachten.AfvoerenZichtbaar=True
				dump.Put("Omschrijving", m.GetValueAt(3)&" ("&m.GetValueAt(4)&")")
				dump.Put("Aantal", m.GetValueAt(2))
			Case "LEVEREN"
				Opdrachten.LeverenZichtbaar=True
				dump.Put("Omschrijving", m.GetValueAt(5))
				dump.Put("Aantal", m.GetValueAt(6))
			Case "VRACHTWAGEN"
				Opdrachten.VrachtwagenZichtbaar=True
				dump.Put("Omschrijving", m.GetValueAt(1))
				dump.Put("Aantal", m.GetValueAt(2))
			Case "OPHALEN"
				Opdrachten.OphalenZichtbaar=True
				dump.Put("Omschrijving", m.GetValueAt(5))
				dump.Put("Aantal", m.GetValueAt(6))
		End Select
		DumpLst.Add(dump)
	Next
	
	If(DumpLst.Size>0) Then 
		DBUtils.InsertMaps(Main.SQL1,"DumpTabel",DumpLst)
		Return True
	Else
		Return False
	End If
End Sub

Public Sub HexToColor(Hex As String) As Int
	Dim bc As ByteConverter
	If Hex.StartsWith("#") Then
		Hex = Hex.SubString(1)
	Else If Hex.StartsWith("0x") Then
		Hex = Hex.SubString(2)
	End If
	Dim ints() As Int = bc.IntsFromBytes(bc.HexToBytes(Hex))
	Return ints(0)
End Sub

Public Sub ResetUserFontScale(p As Panel)
	Dim Factor As Double
	
	If(Starter.ScreenWidth>=1200) Then
		Factor=1.1
	Else
		Factor=1
	End If
	For Each v As View In p
		If v Is Spinner Then
			Dim s As Spinner = v
			s.TextSize = (s.TextSize * Factor) / Starter.access.GetUserFontScale
			'Log("SPIN is AANWEZIG")
		Else If v Is ListView Then
			Dim lv As ListView = v
			lv.SingleLineLayout.Label.TextSize = (lv.SingleLineLayout.Label.TextSize * Factor) / Starter.Access.GetUserFontScale
			lv.TwoLinesLayout.Label.TextSize = (lv.TwoLinesLayout.Label.TextSize * Factor) / Starter.Access.GetUserFontScale
			lv.TwoLinesLayout.SecondLabel.TextSize = (lv.TwoLinesLayout.SecondLabel.TextSize * Factor) / Starter.Access.GetUserFontScale
			lv.TwoLinesAndBitmap.Label.TextSize = (lv.TwoLinesAndBitmap.Label.TextSize * Factor) / Starter.Access.GetUserFontScale
			lv.TwoLinesAndBitmap.SecondLabel.TextSize = (lv.TwoLinesAndBitmap.SecondLabel.TextSize * Factor) / Starter.Access.GetUserFontScale
		Else If v Is Label Then
			Dim lbl As Label = v
			lbl.TextSize = (lbl.TextSize * Factor) / Starter.access.GetUserFontScale
			'Log("LBL is AANWEZIG")
		Else If v Is Panel Then
			ResetUserFontScale(v)
		End If
	Next
End Sub