﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub CreateDB
	Basis
End Sub

Sub Basis
	Dim m As Map
	
	Main.SQL1.ExecNonQuery("VACUUM;")
	
	m.Initialize
	m.Put("ROWID", DBUtils.DB_INTEGER)
	m.Put("Berichtnummer", DBUtils.DB_INTEGER)
	m.Put("Volgnummer", DBUtils.DB_INTEGER)
	m.Put("OpdrachtID", DBUtils.DB_INTEGER)
	m.Put("Naam", DBUtils.DB_TEXT)
	m.Put("Adres", DBUtils.DB_TEXT)
	m.Put("Woonplaats", DBUtils.DB_TEXT)
	m.Put("Postcode_klant", DBUtils.DB_TEXT)
	m.Put("Telefoonnummer(s)", DBUtils.DB_TEXT)
	m.Put("Afleveradres", DBUtils.DB_TEXT)
	m.Put("Datum", DBUtils.DB_TEXT)
	m.Put("Gewenste_tijd", DBUtils.DB_TEXT)
	m.Put("Uiterlijke_datum", DBUtils.DB_TEXT)
	m.Put("Uiterlijke_tijd", DBUtils.DB_TEXT)
	m.Put("Te_Betalen", DBUtils.DB_REAL)
	m.Put("Soortbetaling", DBUtils.DB_TEXT)
	m.Put("Reeds_voldaan", DBUtils.DB_REAL)
	m.Put("Voldaan_per", DBUtils.DB_TEXT)
	m.Put("Toelichting", DBUtils.DB_TEXT)
	m.Put("EersteWeging", DBUtils.DB_INTEGER)
	m.Put("EersteDSD", DBUtils.DB_INTEGER)
	m.Put("EersteOpvraag", DBUtils.DB_TEXT)
	m.Put("LaatsteWeging", DBUtils.DB_INTEGER)
	m.Put("LaatsteDSD", DBUtils.DB_INTEGER)
	m.Put("LaatsteOpvraag", DBUtils.DB_TEXT)
	m.Put("Kenteken", DBUtils.DB_TEXT)
	m.Put("Aanhanger", DBUtils.DB_TEXT)
	m.Put("Opdracht", DBUtils.DB_TEXT)
	m.Put("Startuitvoering", DBUtils.DB_TEXT)
	m.Put("Eindeuitvoering", DBUtils.DB_TEXT)
	m.Put("Actief", DBUtils.DB_INTEGER)
	m.Put("Begindatum", DBUtils.DB_TEXT)
	m.Put("Begintijd", DBUtils.DB_TEXT)
	m.Put("Einddatum", DBUtils.DB_TEXT)
	m.Put("Eindtijd", DBUtils.DB_TEXT)
	m.Put("Verzenden", DBUtils.DB_INTEGER)
	m.Put("Verzonden", DBUtils.DB_INTEGER)
	m.Put("KlantID", DBUtils.DB_INTEGER)
	m.Put("Foto", DBUtils.DB_BLOB)
	m.Put("Uitleg", DBUtils.DB_TEXT)
	m.Put("Actie", DBUtils.DB_TEXT)
	m.Put("Ingetrokken", DBUtils.DB_INTEGER)
	m.Put("Wie", DBUtils.DB_TEXT)
	m.Put("Wanneer", DBUtils.DB_TEXT)
	m.Put("MeetingID", DBUtils.DB_INTEGER)
	m.Put("Bewaart", DBUtils.DB_INTEGER)
	m.Put("Bellen_vooraf", DBUtils.DB_TEXT)
	m.Put("Contactpersoon", DBUtils.DB_TEXT)
	m.Put("Laadtijd", DBUtils.DB_INTEGER)
	m.Put("Wachttijd", DBUtils.DB_INTEGER)
	m.Put("Extern", DBUtils.DB_INTEGER)
	m.Put("EBA", DBUtils.DB_INTEGER)
	m.Put("Afval", DBUtils.DB_TEXT)
	m.Put("IsRoute", DBUtils.DB_INTEGER)
	m.Put("Aanvangtijd", DBUtils.DB_TEXT)
	m.Put("Slottijd", DBUtils.DB_TEXT)
	m.Put("AfwijkendeEural", DBUtils.DB_TEXT)
	m.Put("Lat",DBUtils.DB_REAL)
	m.Put("Lon",DBUtils.DB_REAL)
	m.Put("LatBestemming",DBUtils.DB_REAL)
	m.Put("LonBestemming",DBUtils.DB_REAL)
	m.Put("Bestemming",DBUtils.DB_TEXT)
	DBUtils.CreateTable(Main.SQL1, Main.DBOpdrachten, m, "ROWID")
	DBUtils.CreateIndex(Main.SQL1, Main.DBOpdrachten,"datum_idx","Begindatum,Eindeuitvoering",False)
	
	m.Initialize
	m.Put("ROWID", DBUtils.DB_INTEGER)
	m.Put("OpdrachtID", DBUtils.DB_INTEGER)
	m.Put("Volgnummer", DBUtils.DB_INTEGER)
	m.Put("Soortrit", DBUtils.DB_TEXT)
	m.Put("Type", DBUtils.DB_INTEGER)
	m.Put("Typeomschrijving", DBUtils.DB_TEXT)
	m.Put("Huidige", DBUtils.DB_TEXT)
	m.Put("Huidigetype", DBUtils.DB_TEXT)
	m.Put("Aantal", DBUtils.DB_INTEGER)
	m.Put("Levering", DBUtils.DB_TEXT)
	m.Put("Omschrijvinglevering", DBUtils.DB_TEXT)
	m.Put("Hoeveelheid",DBUtils.DB_REAL)
	m.Put("LatContainer",DBUtils.DB_REAL)
	m.Put("LonContainer",DBUtils.DB_REAL)
	m.Put("MeldingChauffeur", DBUtils.DB_TEXT)
	DBUtils.CreateTable(Main.SQL1, Main.DBAanvulling, m, "ROWID")
	
	m.Initialize
	m.Put("ROWID", DBUtils.DB_INTEGER)
	m.Put("OpdrachtID", DBUtils.DB_INTEGER)
	m.Put("Actie", DBUtils.DB_TEXT)
	m.Put("Omschrijving", DBUtils.DB_TEXT)
	m.Put("Aantal", DBUtils.DB_REAL)
	DBUtils.CreateTable2(Main.SQL1, "DumpTabel", m, "ROWID")
	DBUtils.CreateIndex(Main.SQL1,"DumpTabel","opdrachtid_idx","OpdrachtID",False)
End Sub