﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Dim OpdrachtenOpen As Boolean
	Dim VanafStart As Boolean
	
	Dim PlaatsingZichtbaar As Boolean
	Dim RetourZichtbaar As Boolean
	Dim LedigZichtbaar As Boolean
	Dim VrachtwagenZichtbaar As Boolean
	Dim WisselZichtbaar As Boolean
	Dim AfvoerenZichtbaar As Boolean
	Dim LeverenZichtbaar As Boolean
	Dim OphalenZichtbaar As Boolean
	Dim IngetrokkenZichtbaar As Boolean
	Dim AfgehandeldZichtbaar As Boolean
	
	Private Time0 As Long
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim OpdrachtTable As CustomListView
	Dim OpdrachtIDList As List
	Private pnlLezen As Panel
	Private lblDatumBalk As Label
	Private DatumLong As Long
	Private DisplayDatum As String
	Private pnlDatum As Panel
	Private lblKlantNaam As B4XView
	Private lblTijd1 As B4XView
	Private lblOmschrijving1 As B4XView
	Private lblReeds1 As B4XView
	Private pnlTitle As B4XView
	Private pnlExpanded As B4XView
	Private xui As XUI
	Private expandable As CLVExpandable
	Private tblAanvulling1 As xTableMicro
	Private HeaderHoogte As Int
	Private NaamHoogte As Int
	Private btnSpeak As ImageView
	Private lstToelichting As List
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	
	Activity.LoadLayout("Opdrachten")
	OpdrachtenOpen=True
	expandable.Initialize(OpdrachtTable)
	If(OpdrachtIDList.IsInitialized=False) Then OpdrachtIDList.Initialize()
	'EigenFuncties.ResetUserFontScale(Activity)
	DateTime.DateFormat="dd-MM-yyyy"
	
	Time0 = DateTime.Now
	If(VanafStart=False) Then
		Dim p As B4XView = CreateItem(0,0,"","","","","","","")
		OpdrachtTable.Add(p, expandable.CreateValue(p, "some value"))
		DatumLong=DateTime.Now
		DisplayDatum=DateTime.Date(DateTime.Now)
		WisselDatum
	End If
	Log("Time: " & (DateTime.Now - Time0))
	Activity.Color=Colors.White
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If(UserClosed=True) Then
		OpdrachtenOpen=False
		VanafStart=False
	End If
End Sub

Sub Activity_KeyPress(KeyCode As Int) As Boolean
	Select KeyCode
		Case KeyCodes.KEYCODE_BACK
			imvBack_Click
	End Select
	Return True
End Sub

Private Sub tblAanvulling1_CellClick(col As Int, row As Int)
	Log(tblAanvulling1.GetValue(col, row))
End Sub

Sub OpdrachtOverzicht(row As Int)
	Dim AantalOnzichtbaar As Int
	
	Log(1&"-"&DateTime.Time(DateTime.Now))
	OpdrachtIDList.Clear
	OpdrachtTable.Clear
	OpdrachtTable.AsView.Visible=True
	
	Main.SQL1.BeginTransaction

	Log("Begindatum: "&DisplayDatum)

	Dim Query As String = "SELECT ROWID, Ingetrokken, OpdrachtID, Naam, Adres, Woonplaats, Afleveradres, Begintijd, Opdracht, Bewaart, Toelichting, Eindeuitvoering, Afval FROM "&Main.DBOpdrachten&" WHERE Begindatum='"&DisplayDatum&"' ORDER BY Begintijd"
	Dim res As ResultSet = Main.SQL1.ExecQuery(Query)
	
	DBUtils.EmptyTable(Main.SQL1,"DumpTabel")
	Do While res.NextRow
		If(res.Getstring("Ingetrokken")="1" And IngetrokkenZichtbaar=False Or res.Getstring("Eindeuitvoering")<>"" And AfgehandeldZichtbaar=False) Then
			AantalOnzichtbaar=AantalOnzichtbaar+1
		Else
			EigenFuncties.Aanvulling(res.GetInt("OpdrachtID"))
		End If
	Loop

	If(lstToelichting.IsInitialized=False) Then lstToelichting.Initialize
	lstToelichting.Clear
	res.Position=-1
	Do While res.NextRow
		If(res.Getstring("Ingetrokken")="1" And IngetrokkenZichtbaar=False Or res.Getstring("Eindeuitvoering")<>"" And AfgehandeldZichtbaar=False) Then
		Else
			If(res.Position=3) Then
'KC				ProgressDialogShow("Laden")
'KC				Sleep(0)
			End If
			OpdrachtIDList.Add(res.GetInt("ROWID"))
			Dim AdresItem As String
			If(res.GetString("Afleveradres")<>"") Then
				AdresItem=res.GetString("Afleveradres")
			Else
				AdresItem=res.GetString("Adres")&" "&res.GetString("Woonplaats")
			End If
			Dim Omschrijving As String=res.GetString("Opdracht")
			If(res.GetString("Afval")<>"" And res.GetString("Afval")<>"null") Then Omschrijving=Omschrijving&" - "&res.GetString("Afval")
			Dim p As B4XView = CreateItem(res.GetInt("OpdrachtID"),res.GetString("Ingetrokken"), res.Getstring("Eindeuitvoering"), res.GetString("Naam"),AdresItem,res.GetString("Begintijd"),Omschrijving,res.GetString("Bewaart"),res.GetString("Toelichting"))
			OpdrachtTable.Add(p, expandable.CreateValue(p, "some value"))
			If(res.Getstring("Ingetrokken")<>"1" And res.Getstring("Eindeuitvoering")="") Then expandable.ToggleItem(OpdrachtTable.Size-1)
			lstToelichting.Add(res.GetString("Toelichting"))
		End If
	Loop
	If(res.RowCount-AantalOnzichtbaar>0) Then
		If(row<AantalOnzichtbaar) Then row=AantalOnzichtbaar
		OpdrachtTable.JumpToItem(row-AantalOnzichtbaar)
		ProgressDialogHide
	End If
	res.Close
	Main.SQL1.EndTransaction
	Log(2&"-"&DateTime.Time(DateTime.Now))
End Sub

Sub imvBack_Click
	Activity.Finish
End Sub

Sub btnDDmin_Click
	DatumLong = DateTime.Add(DatumLong,0,0,-1)
	DisplayDatum=DateTime.Date(DatumLong)
	WisselDatum
End Sub

Sub btnDDplus_Click
	DatumLong = DateTime.Add(DatumLong,0,0,1)
	DisplayDatum=DateTime.Date(DatumLong)
	WisselDatum
End Sub

Sub WisselDatum
	lblDatumBalk.Text=DisplayDatum.Trim
'KC	Sleep(0)
	OpdrachtOverzicht(0)
End Sub

Sub CreateItem(Opdracht As Int, Ingetrokken As Int, Eindeuitvoering As String, Klantnaam As String, Adres As String, Tijd As String, Omschrijving As String, Reeds As String, Toelichting As String) As B4XView
	Dim p As B4XView = xui.CreatePanel("")

	'EigenFuncties.Aanvulling(Bericht)
	Dim Rows As Int=Main.SQL1.ExecQuerySingleResult("SELECT COUNT(*) FROM Dumptabel WHERE OpdrachtID="&Opdracht)
'	p.SetLayoutAnimated(0, 0, 0, OpdrachtTable.AsView.Width, tblAanvulling1.RowHeight*Rows+tblAanvulling1.HeaderHeight+HeaderHoogte+NaamHoogte)
	p.SetLayoutAnimated(0, 0, 0, OpdrachtTable.AsView.Width, 30dip * Rows + 30dip + HeaderHoogte + NaamHoogte)
'	p.Height=tblAanvulling1.RowHeight*Rows+tblAanvulling1.HeaderHeight+HeaderHoogte+NaamHoogte
	p.Height = 30dip * Rows + 30dip + HeaderHoogte + NaamHoogte
	p.Width = OpdrachtTable.AsView.Width
	p.LoadLayout("Item")
	p.SetLayoutAnimated(0, 0, 0, p.Width, p.GetView(0).Height) 'resize it to the collapsed height

	HeaderHoogte=p.GetView(0).Height
	NaamHoogte=lblKlantNaam.Height
	
	lblKlantNaam.Text = Klantnaam & CRLF & Adres
	lblTijd1.Text = Tijd
	lblOmschrijving1.Text=Omschrijving
	If(Toelichting<>"" And Toelichting<>Null) Then
		btnSpeak.Visible=True
	Else
		btnSpeak.Visible=False
	End If

	If(Reeds=1) Then
		lblReeds1.Visible=True
	Else
		lblReeds1.Visible=False
	End If

	If(OpdrachtTable.Size Mod 2 = 0) Then
		pnlTitle.Color = Colors.White
	Else
		pnlTitle.Color = EigenFuncties.HexToColor("#FFF0FFFF")
	End If
	pnlExpanded.Color = ShadeColor(Colors.White)

	If (Ingetrokken=1)Then
		Dim rs As RichString
		rs.Initialize(lblOmschrijving1.Text)
		rs.Strikethrough(0,rs.Length)
		lblOmschrijving1.Text=rs
		lblOmschrijving1.TextColor=Colors.Red

		rs.Initialize(lblTijd1.Text)
		rs.Strikethrough(0,rs.Length)
		lblTijd1.Text=rs
		lblTijd1.TextColor=Colors.Red
		
		rs.Initialize(lblReeds1.Text)
		rs.Strikethrough(0,rs.Length)
		lblReeds1.Text=rs
		lblReeds1.TextColor=Colors.Red
	End If
	If (Eindeuitvoering<>"")Then
		lblOmschrijving1.TextColor=Colors.Blue
		lblTijd1.TextColor=Colors.Blue
		lblReeds1.TextColor=Colors.Blue
	End If

	If(Opdracht<>0) Then	'looks strange ?
		tblAanvulling1.Height = tblAanvulling1.RowHeight * (Rows + 1)
		tblAanvulling1.SetColumnsWidths(Array As Int(90dip, tblAanvulling1.Width - 145dip, 55dip))
		tblAanvulling1.SetAlignments(Array As String("CENTER", "CENTER", "CENTER"), Array As String("LEFT", "LEFT", "CENTER"))
		tblAanvulling1.LoadSQLiteDB(Main.SQL1,"SELECT Actie, Omschrijving, Aantal FROM DumpTabel WHERE OpdrachtID = " & Opdracht)
		tblAanvulling1.Tag = Opdracht
	End If

	EigenFuncties.ResetUserFontScale(p)
	Return p
End Sub

Sub ShadeColor(clr As Int) As Int
	Dim argb() As Int = GetARGB(clr)
	Dim factor As Float = 0.75
	Return xui.Color_RGB(argb(1) * factor, argb(2) * factor, argb(3) * factor)
End Sub

Sub GetARGB(Color As Int) As Int()
	Private res(4) As Int
	res(0) = Bit.UnsignedShiftRight(Bit.And(Color, 0xff000000), 24)
	res(1) = Bit.UnsignedShiftRight(Bit.And(Color, 0xff0000), 16)
	res(2) = Bit.UnsignedShiftRight(Bit.And(Color, 0xff00), 8)
	res(3) = Bit.And(Color, 0xff)
	Return res
End Sub

Sub DropDown1_Click
	Dim index As Int = OpdrachtTable.GetItemFromView(Sender)
	expandable.ToggleItem(index)
End Sub

Private Sub tblAanvulling1_Touch(X As Int, Y As Int)
	Private Col As Int, Row As Int
	Private Left As Int, Top As Int
	Private ColumnWidths(3) As Int
	Private Opdracht As Int
	Private tbl As xTableMicro

	tbl = Sender
	Opdracht = tbl.Tag
	ColumnWidths = tbl.GetColumnWidths
	Left = 0
	For Col = 0 To 2
		If X > Left And X < Left + ColumnWidths(Col) Then
			Exit
		End If
		Left = Left + ColumnWidths(Col)
	Next
	
	Top = 0
	For Row = 0 To tbl.Data.Size
		If Y > Top And Y < Top + tbl.RowHeight Then
			Exit
		End If
		Top = Top + tbl.RowHeight
	Next
	
	Log("Opdracht = " & Opdracht & "  Col = " & Col & "  Row = " & Row)
	If Row = 0 Then
		Log("Header = " & tbl.HeaderNames.Get(Col))
	Else
		Log("Cell = " & tbl.GetValue(Col, Row - 1)) '-1 because the first row are the headers
	End If
End Sub
